#include <stdio.h>
#include <stdlib.h>

int main()
{
    long long n, i, j, k, br=0;
    scanf("%lld", &n);
    long long x[n], y[n], z[n];
    for(i=0; i<n; i++)
    {
        scanf("%lld", &x[i]);
    }
    for(i=0; i<n; i++)
    {
        scanf("%lld", &y[i]);
    }
    for(i=0; i<n; i++)
    {
        scanf("%lld", &z[i]);
    }
    for(i=0; i<n; i++)
    {
        for(j=0; j<n; j++)
        {
            k = z[j] - 1;
            if(x[i]==y[k])
                br++;
        }
    }
    printf("%lld", br);
}